'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _fluxStandardAction = require('flux-standard-action');

exports['default'] = function (track) {
  return function (store) {
    return function (next) {
      return function (action) {
        if (!action || !action.meta || !(0, _fluxStandardAction.isFSA)(action.meta.analytics)) {
          return next(action);
        }

        var returnValue = next(action);

        track(action.meta.analytics, store.getState().analytics);

        return returnValue;
      };
    };
  };
};

module.exports = exports['default'];